<div id="inputsChampsSupplementaires">
    <div id="cs">
        {% if CSExist('SSTOCKLO') %}
            {{ inputCSAdvance({
                'codTab' : 'SSTOCKLO',
                'colonneActif' : true,
                'codeEnr' : codeEnr,
                'ModeModif' : modeModif,
                'post': post
            }) }}
        {% else %}
            <p>Aucun champ supplémentaire n'existe pour les stocks locaux</p>
        {% endif %}
    </div>
</div>
<script type="application/javascript" src="{{ baseUrl('js/Modules/Stock/csInitializer.js') }}"></script>
<script type="application/javascript">
    if (!'{{ isModifierForm }}') {
        $('#' + CSS.escape('input_SSTOCKLO[SITE]')).on('change', (event) => {
            const site = $(event.target).val();
            const codeArt = $('#' + CSS.escape('input_SSTOCKLO[CODE_ART]')).val();

            initStockLocalCs([['SARTICLE', codeArt]], site + codeArt);
        });

        $('#' + CSS.escape('input_SSTOCKLO[CODE_ART]')).on('change', (event) => {
            const codeArt = $(event.target).val();
            const site = $('#' + CSS.escape('input_SSTOCKLO[SITE]')).val();

            initStockLocalCs([['SARTICLE', codeArt]], site + codeArt);
        });

        function initStockLocalCs (tablesSources, codeEnr) {
            initializeCs(
                '{{ path('Ajax.InitChampController.initializeCs') }}',
                '{{ formId }}',
                $('#'+CSS.escape('input_SBS_ENTE_CODE_STE')).val(),
                codeEnr,
                'SSTOCKLO',
                tablesSources,
                true
            );
        }
    }
</script>